import { test, describe, expect } from "bun:test";
import { pdfVerbrauchsausweisWohnen } from "#lib/pdf/pdfVerbrauchsausweisWohnen.js";
import { fakeVerbrauchsausweisWohnen } from "#lib/faker.js";
import { VerbrauchsausweisWohnenClient } from "#components/Ausweis/types.js";


describe('Verbrauchsausweis Wohnen PDF', async () => {
	const ausweis: VerbrauchsausweisWohnenClient = fakeVerbrauchsausweisWohnen(42);

	test("Ausweis Erstellung", async () => {
		const pdf = await pdfVerbrauchsausweisWohnen(ausweis);

		// Wir können das PDF nicht richtig überprüfen, dafür brauchen wir manuelle Tests
		// Allerdings können wir überprüfen, ob das PDF erstellt wurde.
		expect(pdf).toBeDefined();
		expect(pdf).toBeInstanceOf(Uint8Array);
		expect(pdf.length).toBeGreaterThan(0);
	})
})